prop-types needs to be a direct dependency, not dev

This issue has been tracked since 2021-03-02.

With React 17 their own depencency on prop-types was removed, however it is needed for this package. In #91 this was fixed once, but broke again with 2ee646e42. Now without this being resolved by a direct dep in a peer dep this issue is back.

vndre wrote this answer on 2021-06-23

why is this still an issue? This package is unusable in react 17+ if you are not using proptypes in your project.

rawcomposition wrote this answer on 2021-09-03

Same issue here. Are we supposed to manually install the prop-types package? Seems much simpler to just have it listed as an internal dependency of react-lazyload.

More Details About Repo
Owner Name twobin
Repo Name react-lazyload
Full Name twobin/react-lazyload
Language JavaScript
Created Date 2015-08-07
Updated Date 2022-11-29
Star Count 5639
Watcher Count 52
Fork Count 482
Issue Count 153

YOU MAY BE INTERESTED

Issue Title Created Date Updated Date